/*******************************************************************************
 * FoxDialogBoxTwitterLogin generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDialogBoxTwitterLogin extends FoxDialogBoxBase within FoxUI
    native(UI)
    config(UI);

var const localized string LocCredentialsTitle;
var const localized string LocUsernameHeader;
var const localized string LocPWHeader;
var string LoginButtonPath;

function ShowDialog(delegate<DialogButtonPressedDelegate> InCallback, optional string UserName)
{
    BindDialogOld();
    __DialogButtonPressedDelegate__Delegate = InCallback;
    ToggleAllowEscape(true);
    SetHeaderText(LocCredentialsTitle);
    LoginButtonPath = as_addDialogButton(Localize("Menu", "LoginDialogLabel", "FoxMenuUI"), "ei_LoginClicked", "true", true);
    as_addDialogButton(LocCancelLabel, "ei_CancelClicked", "");
    Outer.Advance(0.0);
    Outer.GetVariableObject(AddInputBox(0, LocUsernameHeader,,, true)).SetString("text", UserName);
    AddInputBox(1, LocPWHeader,, "ei_SelectLoginButton", true, true);
    //return;    
}

function ei_SelectLoginButton()
{
    Outer.as_SelectButton(LoginButtonPath);
    //return;    
}

function ei_LoginClicked(string UserName, string Password)
{
    Outer.PCOwner.ClearTwitter();
    DialogButtonPressedDelegate(((Outer.PCOwner.TwitterLogin(UserName, Password)) ? 0 : 1));
    //return;    
}

function ei_CancelClicked()
{
    CloseDialog();
    //return;    
}

defaultproperties
{
    LocCredentialsTitle="TWITTER CREDENTIALS"
    LocUsernameHeader="ENTER TWITTER USERNAME"
    LocPWHeader="ENTER TWITTER PASSWORD"
}